> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Hardware Reminder

> Save or update an opt-in to be notified when a hardware profile becomes available.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/infra/hardware-reminders
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/infra/hardware-reminders:
    post:
      tags:
        - Infra
      summary: Create Hardware Reminder
      description: >-
        Save or update an opt-in to be notified when a hardware profile becomes
        available.
      operationId: create_hardware_reminder_api_v2_external_infra_hardware_reminders_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HardwareReminderRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HardwareReminderRequest:
      properties:
        hardware_profile:
          type: string
          title: Hardware Profile
        hardware_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Hardware Label
        gpu_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Count
        company:
          anyOf:
            - type: string
            - type: 'null'
          title: Company
        use_case:
          anyOf:
            - type: string
            - type: 'null'
          title: Use Case
        source:
          type: string
          title: Source
          default: launch_instance
      type: object
      required:
        - hardware_profile
      title: HardwareReminderRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````